Package com.complexible.common.cancellation

# Class TimeoutCancelCheck

java.lang.Object
com.complexible.common.cancellation.TimeoutCancelCheck

All Implemented Interfaces:
  `CancelCheck`

public class TimeoutCancelCheck extends Object implements CancelCheck
A cancellation check that cancels automatically if a timeout has been reached or delegates to another check timeout has not occurred.

- ## Field Summary

  ### Fields inherited from interface com.complexible.common.cancellation.CancelCheck

  `DUMMY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeoutCancelCheck(CancelCheck theDelegate, Timer theTimer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `check()`
  Check if cancellation point is valid; It throws an exception in case if the cancellation point has been canceled.
  `String`
  `getCancellationMessage()`
  Returns null if the process has not been cancelled, otherwise the cancellation cause (if set).
  `boolean`
  `isCancelled()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.complexible.common.cancellation.CancelCheck

  `check, throwIfCancelled`

- ## Constructor Details

  - ### TimeoutCancelCheck

    public TimeoutCancelCheck(CancelCheck theDelegate, Timer theTimer)

- ## Method Details

  - ### check

    public void check()
    Description copied from interface: `CancelCheck`
    Check if cancellation point is valid; It throws an exception in case if the cancellation point has been canceled.
    Specified by:
      `check` in interface `CancelCheck`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `CancelCheck`
    Returns:
      true if point has been cancelled, false otherwise;

  - ### getCancellationMessage

    public String getCancellationMessage()
    Description copied from interface: `CancelCheck`
    Returns null if the process has not been cancelled, otherwise the cancellation cause (if set).
    Specified by:
      `getCancellationMessage` in interface `CancelCheck`